<div class="card">
  <h3>Listado de preguntas</h3>
  <div class="card-body">
    <table class="table" >
        <thead>
            <tr>
                <th scope="col">Pregunta</th>
                <th scope="col">Editar</th>
                <th scope="col">Eliminar</th>
            </tr>
        </thead>
        <tbody *ngFor="let pregunta of preguntas">
            <tr>
                <td>{{pregunta.pregunta}}</td>
                <td>
                    <button type="submit" class="btn btn-outline-primary" id="botonactualizar" 
                    data-bs-toggle="modal" data-bs-target="#modalpregunta" (click)="obtenerValores(pregunta.codPregunta)">Editar</button>
                </td>
                <td>
                    <button type="submit" class="btn btn-outline-danger" id="botoneliminar" (click)="showConfirmacion(pregunta.codPregunta)" >Eliminar</button>
                </td>
            </tr>
        </tbody>
    </table>
  </div>
</div>

<div class="d-grid gap-2 col-4 mx-auto"> 
<!-- Button trigger modal -->
<button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modalpregunta" id="botonmodal">
  Agregar pregunta
</button>
</div>
<!-- Modal -->
<div class="modal fade" id="modalpregunta" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Pregunta</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <form [formGroup]="form">
          <div class="form-floating">
            <textarea class="form-control" placeholder="Pregunta" id="pregunta" style="height: 100px" maxlength="150" formControlName="pregunta" ></textarea>
            <label for="pregunta">Pregunta</label>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="reset" class="btn btn-outline-danger" data-bs-dismiss="modal">Cancelar</button>
        <button type="submit" class="btn btn-outline-primary" (click)="save($event)"  [disabled]="!form.valid">Guardar cambios</button>
      </div>
    </div>
  </div>
</div>
